get_x_rotate_matrix(3)

NAME
get_x_rotate_matrix, get_x_rotate_matrix_f

SYNOPSIS
#include <allegro.h>

void get_x_rotate_matrix(MATRIX *m, fixed r); void get_x_rotate_matrix_f(MATRIX_f *m, float r);

DESCRIPTION
Construct X axis rotation matrices, storing them in m. When applied to a point, these matrices will rotate it about the X axis by the specified angle (given in binary, 256 degrees to a circle format).

SEE ALSO
apply_matrix(3), get_rotation_matrix(3), get_y_rotate_matrix(3), get_z_rotate_matrix(3)